# Zowe Explorer for VS Code Third Party Library Usage

* [Zowe Visual Studio Code Extension](#zowe-visual-studio-code-extension-dependency-attributions)

### Zowe Visual Studio Code Extension Dependency Attributions
| Third-party Software | Version | License | GitHub |
| -------------------- | --------| ------- | ------ |
| abbrev | 1.1.1 | ISC | [abbrev](https://github.com/isaacs/abbrev-js#readme) | 
| abort-controller | 3.0.0 | MIT | [abort-controller](https://github.com/mysticatea/abort-controller#readme) | 
| ag-charts-types | 10.0.2 | MIT | [ag-charts-types](https://charts.ag-grid.com/) | 
| ag-grid-community | 32.0.2 | MIT | [ag-grid-community](https://www.ag-grid.com/) | 
| ag-grid-react | 32.0.2 | MIT | [ag-grid-react](https://www.ag-grid.com/react-grid/) | 
| agent-base | 6.0.2 | MIT | [agent-base](https://github.com/TooTallNate/node-agent-base#readme) | 
| aggregate-error | 3.1.0 | MIT | [aggregate-error](https://github.com/sindresorhus/aggregate-error#readme) | 
| ansi-regex | 5.0.1 | MIT | [ansi-regex](https://github.com/chalk/ansi-regex#readme) | 
| ansi-styles | 3.2.1 | MIT | [ansi-styles](https://github.com/chalk/ansi-styles#readme) | 
| argparse | 2.0.1 | Python-2.0 | [argparse](https://github.com/nodeca/argparse#readme) | 
| array-buffer-byte-length | 1.0.1 | MIT | [array-buffer-byte-length](https://github.com/inspect-js/array-buffer-byte-length#readme) | 
| array-timsort | 1.0.3 | MIT | [array-timsort](https://github.com/kaelzhang/node-array-timsort) | 
| arraybuffer.prototype.slice | 1.0.3 | MIT | [arraybuffer.prototype.slice](https://github.com/es-shims/ArrayBuffer.prototype.slice#readme) | 
| asn1 | 0.2.6 | MIT | [asn1](https://github.com/joyent/node-asn1#readme) | 
| available-typed-arrays | 1.0.7 | MIT | [available-typed-arrays](https://github.com/inspect-js/available-typed-arrays#readme) | 
| balanced-match | 1.0.2 | MIT | [balanced-match](https://github.com/juliangruber/balanced-match) | 
| base64-js | 1.5.1 | MIT | [base64-js](https://github.com/beatgammit/base64-js) | 
| bcrypt-pbkdf | 1.0.2 | BSD-3-Clause | [bcrypt-pbkdf](https://github.com/joyent/node-bcrypt-pbkdf#readme) | 
| brace-expansion | 1.1.11 | MIT | [brace-expansion](https://github.com/juliangruber/brace-expansion) | 
| braces | 3.0.3 | MIT | [braces](https://github.com/micromatch/braces) | 
| buffer | 5.7.1 | MIT | [buffer](https://github.com/feross/buffer) | 
| buildcheck | 0.0.6 | MIT | [buildcheck](https://github.com/mscdex/buildcheck#readme) | 
| cacache | 18.0.4 | ISC | [cacache](https://github.com/npm/cacache#readme) | 
| call-bind | 1.0.7 | MIT | [call-bind](https://github.com/ljharb/call-bind#readme) | 
| chalk | 2.4.2 | MIT | [chalk](https://github.com/chalk/chalk#readme) | 
| chownr | 2.0.0 | ISC | [chownr](https://github.com/isaacs/chownr#readme) | 
| clean-stack | 2.2.0 | MIT | [clean-stack](https://github.com/sindresorhus/clean-stack#readme) | 
| cli-table3 | 0.6.3 | MIT | [cli-table3](https://github.com/cli-table/cli-table3) | 
| cliui | 7.0.4 | ISC | [cliui](https://github.com/yargs/cliui#readme) | 
| color-convert | 1.9.3 | MIT | [color-convert](https://github.com/Qix-/color-convert#readme) | 
| color-name | 1.1.3 | MIT | [color-name](https://github.com/dfcreative/color-name) | 
| colors | 1.4.0 | MIT | [colors](https://github.com/Marak/colors.js) | 
| comment-json | 4.2.5 | MIT | [comment-json](https://github.com/kaelzhang/node-comment-json#readme) | 
| concat-map | 0.0.1 | MIT | [concat-map](https://github.com/substack/node-concat-map) | 
| core-util-is | 1.0.3 | MIT | [core-util-is](https://github.com/isaacs/core-util-is#readme) | 
| cpu-features | 0.0.10 | MIT | [cpu-features](https://github.com/mscdex/cpu-features#readme) | 
| cross-spawn | 7.0.3 | MIT | [cross-spawn](https://github.com/moxystudio/node-cross-spawn) | 
| data-view-buffer | 1.0.1 | MIT | [data-view-buffer](https://github.com/ljharb/data-view-buffer#readme) | 
| data-view-byte-length | 1.0.1 | MIT | [data-view-byte-length](https://github.com/ljharb/data-view-byte-length#readme) | 
| data-view-byte-offset | 1.0.0 | MIT | [data-view-byte-offset](https://github.com/ljharb/data-view-byte-offset#readme) | 
| dataobject-parser | 1.2.25 | MIT | [dataobject-parser](https://github.com/henrytseng/dataobject-parser) | 
| date-format | 4.0.14 | MIT | [date-format](https://github.com/nomiddlename/date-format#readme) | 
| dayjs | 1.11.11 | MIT | [dayjs](https://day.js.org) | 
| debug | 4.3.4 | MIT | [debug](https://github.com/debug-js/debug#readme) | 
| deep-object-diff | 1.1.9 | MIT | [deep-object-diff](https://github.com/mattphillips/deep-object-diff#readme) | 
| deepmerge | 4.3.1 | MIT | [deepmerge](https://github.com/TehShrike/deepmerge) | 
| define-data-property | 1.1.4 | MIT | [define-data-property](https://github.com/ljharb/define-data-property#readme) | 
| define-properties | 1.2.1 | MIT | [define-properties](https://github.com/ljharb/define-properties#readme) | 
| diff | 5.2.0 | BSD-3-Clause | [diff](https://github.com/kpdecker/jsdiff.git) | 
| diff-sequences | 29.6.3 | MIT | [diff-sequences](https://github.com/jestjs/jest#readme) | 
| diff2html | 3.4.20-usewontache.1.60e7a2e | MIT | [diff2html](https://diff2html.xyz) | 
| disposablestack | 1.1.5 | MIT | [disposablestack](https://github.com/es-shims/DisposableStack#readme) | 
| emoji-regex | 8.0.0 | MIT | [emoji-regex](https://mths.be/emoji-regex) | 
| encoding | 0.1.13 | MIT | [encoding](https://github.com/andris9/encoding#readme) | 
| entities | 2.1.0 | BSD-2-Clause | [entities](https://github.com/fb55/entities#readme) | 
| env-paths | 2.2.1 | MIT | [env-paths](https://github.com/sindresorhus/env-paths#readme) | 
| err-code | 2.0.3 | MIT | [err-code](https://github.com/IndigoUnited/js-err-code#readme) | 
| es-abstract | 1.23.3 | MIT | [es-abstract](https://github.com/ljharb/es-abstract#readme) | 
| es-define-property | 1.0.0 | MIT | [es-define-property](https://github.com/ljharb/es-define-property#readme) | 
| es-errors | 1.3.0 | MIT | [es-errors](https://github.com/ljharb/es-errors#readme) | 
| es-object-atoms | 1.0.0 | MIT | [es-object-atoms](https://github.com/ljharb/es-object-atoms#readme) | 
| es-set-tostringtag | 2.0.3 | MIT | [es-set-tostringtag](https://github.com/es-shims/es-set-tostringtag#readme) | 
| es-to-primitive | 1.2.1 | MIT | [es-to-primitive](https://github.com/ljharb/es-to-primitive#readme) | 
| es-toolkit | 1.16.0 | MIT | [es-toolkit](https://es-toolkit.slash.page) | 
| escalade | 3.1.2 | MIT | [escalade](https://github.com/lukeed/escalade#readme) | 
| escape-string-regexp | 1.0.5 | MIT | [escape-string-regexp](https://github.com/sindresorhus/escape-string-regexp) | 
| esprima | 4.0.1 | BSD-2-Clause | [esprima](http://esprima.org) | 
| event-target-shim | 5.0.1 | MIT | [event-target-shim](https://github.com/mysticatea/event-target-shim) | 
| events | 3.3.0 | MIT | [events](https://github.com/Gozala/events#readme) | 
| exenv-es6 | 1.1.1 | MIT | [exenv-es6](https://github.com/chrisdholt/exenv-es6#readme) | 
| exponential-backoff | 3.1.1 | Apache-2.0 | [exponential-backoff](https://github.com/coveo/exponential-backoff#readme) | 
| fast-glob | 3.3.2 | MIT | [fast-glob](https://github.com/mrmlnc/fast-glob#readme) | 
| fastest-levenshtein | 1.0.16 | MIT | [fastest-levenshtein](https://github.com/ka-weihe/fastest-levenshtein#README) | 
| fastq | 1.17.1 | ISC | [fastq](https://github.com/mcollina/fastq#readme) | 
| fill-range | 7.1.1 | MIT | [fill-range](https://github.com/jonschlinkert/fill-range) | 
| find-up | 5.0.0 | MIT | [find-up](https://github.com/sindresorhus/find-up#readme) | 
| flatted | 3.3.1 | ISC | [flatted](https://github.com/WebReflection/flatted#readme) | 
| for-each | 0.3.3 | MIT | [for-each](https://github.com/Raynos/for-each) | 
| fs-extra | 8.0.1 | MIT | [fs-extra](https://github.com/jprichardson/node-fs-extra) | 
| fs-minipass | 3.0.3 | ISC | [fs-minipass](https://github.com/npm/fs-minipass#readme) | 
| fs.realpath | 1.0.0 | ISC | [fs.realpath](https://github.com/isaacs/fs.realpath#readme) | 
| ftp4 | 0.3.13 | MIT | [ftp4](https://github.com/std4lqi/node-ftp#readme) | 
| function-bind | 1.1.2 | MIT | [function-bind](https://github.com/Raynos/function-bind) | 
| function.prototype.name | 1.1.6 | MIT | [function.prototype.name](https://github.com/es-shims/Function.prototype.name#readme) | 
| functions-have-names | 1.2.3 | MIT | [functions-have-names](https://github.com/inspect-js/functions-have-names#readme) | 
| get-caller-file | 2.0.5 | ISC | [get-caller-file](https://github.com/stefanpenner/get-caller-file#readme) | 
| get-intrinsic | 1.2.4 | MIT | [get-intrinsic](https://github.com/ljharb/get-intrinsic#readme) | 
| get-symbol-description | 1.0.2 | MIT | [get-symbol-description](https://github.com/inspect-js/get-symbol-description#readme) | 
| glob | 7.2.3 | ISC | [glob](https://github.com/isaacs/node-glob#readme) | 
| glob-parent | 6.0.2 | ISC | [glob-parent](https://github.com/gulpjs/glob-parent#readme) | 
| globalthis | 1.0.4 | MIT | [globalthis](https://github.com/ljharb/System.global#readme) | 
| gopd | 1.0.1 | MIT | [gopd](https://github.com/ljharb/gopd#readme) | 
| graceful-fs | 4.2.11 | ISC | [graceful-fs](https://github.com/isaacs/node-graceful-fs#readme) | 
| has-bigints | 1.0.2 | MIT | [has-bigints](https://github.com/ljharb/has-bigints#readme) | 
| has-flag | 3.0.0 | MIT | [has-flag](https://github.com/sindresorhus/has-flag#readme) | 
| has-own-prop | 2.0.0 | MIT | [has-own-prop](https://github.com/sindresorhus/has-own-prop#readme) | 
| has-property-descriptors | 1.0.2 | MIT | [has-property-descriptors](https://github.com/inspect-js/has-property-descriptors#readme) | 
| has-proto | 1.0.3 | MIT | [has-proto](https://github.com/inspect-js/has-proto#readme) | 
| has-symbols | 1.0.3 | MIT | [has-symbols](https://github.com/ljharb/has-symbols#readme) | 
| has-tostringtag | 1.0.2 | MIT | [has-tostringtag](https://github.com/inspect-js/has-tostringtag#readme) | 
| hasown | 2.0.2 | MIT | [hasown](https://github.com/inspect-js/hasOwn#readme) | 
| highlight.js | 11.6.0 | BSD-3-Clause | [highlight.js](https://highlightjs.org/) | 
| hosted-git-info | 4.1.0 | ISC | [hosted-git-info](https://github.com/npm/hosted-git-info) | 
| http-cache-semantics | 4.1.1 | BSD-2-Clause | [http-cache-semantics](https://github.com/kornelski/http-cache-semantics#readme) | 
| http-proxy-agent | 4.0.1 | MIT | [http-proxy-agent](https://github.com/TooTallNate/node-http-proxy-agent#readme) | 
| https-proxy-agent | 5.0.1 | MIT | [https-proxy-agent](https://github.com/TooTallNate/node-https-proxy-agent#readme) | 
| iconv-lite | 0.4.24 | MIT | [iconv-lite](https://github.com/ashtuchkin/iconv-lite) | 
| ieee754 | 1.2.1 | BSD-3-Clause | [ieee754](https://github.com/feross/ieee754#readme) | 
| ignore-walk | 6.0.5 | ISC | [ignore-walk](https://github.com/npm/ignore-walk#readme) | 
| imurmurhash | 0.1.4 | MIT | [imurmurhash](https://github.com/jensyt/imurmurhash-js) | 
| indent-string | 4.0.0 | MIT | [indent-string](https://github.com/sindresorhus/indent-string#readme) | 
| inflight | 1.0.6 | ISC | [inflight](https://github.com/isaacs/inflight) | 
| inherits | 2.0.4 | ISC | [inherits](https://github.com/isaacs/inherits#readme) | 
| ini | 1.3.8 | ISC | [ini](https://github.com/isaacs/ini#readme) | 
| internal-slot | 1.0.7 | MIT | [internal-slot](https://github.com/ljharb/internal-slot#readme) | 
| ip-address | 9.0.5 | MIT | [ip-address](https://github.com/beaugunderson/ip-address#readme) | 
| is-array-buffer | 3.0.4 | MIT | [is-array-buffer](https://github.com/inspect-js/is-array-buffer#readme) | 
| is-bigint | 1.0.4 | MIT | [is-bigint](https://github.com/inspect-js/is-bigint#readme) | 
| is-boolean-object | 1.1.2 | MIT | [is-boolean-object](https://github.com/inspect-js/is-boolean-object#readme) | 
| is-callable | 1.2.7 | MIT | [is-callable](https://github.com/inspect-js/is-callable#readme) | 
| is-data-view | 1.0.1 | MIT | [is-data-view](https://github.com/inspect-js/is-data-view#readme) | 
| is-date-object | 1.0.5 | MIT | [is-date-object](https://github.com/inspect-js/is-date-object#readme) | 
| is-extglob | 2.1.1 | MIT | [is-extglob](https://github.com/jonschlinkert/is-extglob) | 
| is-fullwidth-code-point | 3.0.0 | MIT | [is-fullwidth-code-point](https://github.com/sindresorhus/is-fullwidth-code-point#readme) | 
| is-glob | 4.0.3 | MIT | [is-glob](https://github.com/micromatch/is-glob) | 
| is-lambda | 1.0.1 | MIT | [is-lambda](https://github.com/watson/is-lambda) | 
| is-negative-zero | 2.0.3 | MIT | [is-negative-zero](https://github.com/inspect-js/is-negative-zero) | 
| is-number | 3.0.0 | MIT | [is-number](https://github.com/jonschlinkert/is-number) | 
| is-number-object | 1.0.7 | MIT | [is-number-object](https://github.com/inspect-js/is-number-object#readme) | 
| is-regex | 1.1.4 | MIT | [is-regex](https://github.com/inspect-js/is-regex) | 
| is-shared-array-buffer | 1.0.3 | MIT | [is-shared-array-buffer](https://github.com/inspect-js/is-shared-array-buffer#readme) | 
| is-string | 1.0.7 | MIT | [is-string](https://github.com/ljharb/is-string#readme) | 
| is-symbol | 1.0.4 | MIT | [is-symbol](https://github.com/inspect-js/is-symbol#readme) | 
| is-typed-array | 1.1.13 | MIT | [is-typed-array](https://github.com/inspect-js/is-typed-array#readme) | 
| is-weakref | 1.0.2 | MIT | [is-weakref](https://github.com/inspect-js/is-weakref#readme) | 
| isarray | 0.0.1 | MIT | [isarray](https://github.com/juliangruber/isarray) | 
| isbinaryfile | 4.0.4 | MIT | [isbinaryfile](https://github.com/gjtorikian/isBinaryFile#readme) | 
| isexe | 3.1.1 | ISC | [isexe](https://github.com/isaacs/isexe#readme) | 
| jest-diff | 29.7.0 | MIT | [jest-diff](https://github.com/jestjs/jest#readme) | 
| jest-get-type | 24.9.0 | MIT | [jest-get-type](https://github.com/facebook/jest#readme) | 
| js-tokens | 4.0.0 | MIT | [js-tokens](https://github.com/lydell/js-tokens#readme) | 
| js-yaml | 4.1.0 | MIT | [js-yaml](https://github.com/nodeca/js-yaml#readme) | 
| jsbn | 1.1.0 | MIT | [jsbn](https://github.com/andyperlitch/jsbn#readme) | 
| json-parse-even-better-errors | 2.3.1 | MIT | [json-parse-even-better-errors](https://github.com/npm/json-parse-even-better-errors#readme) | 
| jsonfile | 6.1.0 | MIT | [jsonfile](https://github.com/jprichardson/node-jsonfile#readme) | 
| jsonparse | 1.3.1 | MIT | [jsonparse](https://github.com/creationix/jsonparse#readme) | 
| jsonschema | 1.4.1 | MIT | [jsonschema](https://github.com/tdegrunt/jsonschema#readme) | 
| kind-of | 6.0.3 | MIT | [kind-of](https://github.com/jonschlinkert/kind-of) | 
| linkify-it | 3.0.3 | MIT | [linkify-it](https://github.com/markdown-it/linkify-it#readme) | 
| locate-path | 6.0.0 | MIT | [locate-path](https://github.com/sindresorhus/locate-path#readme) | 
| lodash | 4.17.21 | MIT | [lodash](https://lodash.com/) | 
| lodash-deep | 2.0.0 | MIT | [lodash-deep](https://github.com/marklagendijk/lodash-deep) | 
| log4js | 6.9.1 | Apache-2.0 | [log4js](https://log4js-node.github.io/log4js-node/) | 
| loose-envify | 1.4.0 | MIT | [loose-envify](https://github.com/zertosh/loose-envify) | 
| lru-cache | 6.0.0 | ISC | [lru-cache](https://github.com/isaacs/node-lru-cache#readme) | 
| make-fetch-happen | 13.0.1 | ISC | [make-fetch-happen](https://github.com/npm/make-fetch-happen#readme) | 
| markdown-it | 14.1.0 | MIT | [markdown-it](https://github.com/markdown-it/markdown-it#readme) | 
| mdurl | 1.0.1 | MIT | [mdurl](https://github.com/markdown-it/mdurl#readme) | 
| merge2 | 1.4.1 | MIT | [merge2](https://github.com/teambition/merge2) | 
| micromatch | 4.0.7 | MIT | [micromatch](https://github.com/micromatch/micromatch) | 
| minimatch | 3.1.2 | ISC | [minimatch](https://github.com/isaacs/minimatch#readme) | 
| minimist | 1.2.8 | MIT | [minimist](https://github.com/minimistjs/minimist) | 
| minipass | 7.1.1 | ISC | [minipass](https://github.com/isaacs/minipass#readme) | 
| minipass-collect | 2.0.1 | ISC | [minipass-collect](https://github.com/isaacs/minipass-collect#readme) | 
| minipass-fetch | 3.0.5 | MIT | [minipass-fetch](https://github.com/npm/minipass-fetch#readme) | 
| minipass-flush | 1.0.5 | ISC | [minipass-flush](https://github.com/isaacs/minipass-flush#readme) | 
| minipass-pipeline | 1.2.4 | ISC | [minipass-pipeline]() | 
| minipass-sized | 1.0.3 | ISC | [minipass-sized](https://github.com/isaacs/minipass-sized#readme) | 
| minizlib | 2.1.2 | MIT | [minizlib](https://github.com/isaacs/minizlib#readme) | 
| mkdirp | 2.1.6 | MIT | [mkdirp](https://github.com/isaacs/node-mkdirp#readme) | 
| ms | 2.1.3 | MIT | [ms](https://github.com/vercel/ms#readme) | 
| mustache | 4.2.0 | MIT | [mustache](https://github.com/janl/mustache.js) | 
| mute-stream | 1.0.0 | ISC | [mute-stream](https://github.com/npm/mute-stream#readme) | 
| nan | 2.20.0 | MIT | [nan](https://github.com/nodejs/nan#readme) | 
| negotiator | 0.6.3 | MIT | [negotiator](https://github.com/jshttp/negotiator#readme) | 
| node-gyp | 10.2.0 | MIT | [node-gyp](https://github.com/nodejs/node-gyp#readme) | 
| nopt | 1.0.10 | MIT | [nopt](https://github.com/npm/nopt#readme) | 
| normalize-package-data | 6.0.2 | BSD-2-Clause | [normalize-package-data](https://github.com/npm/normalize-package-data#readme) | 
| npm-bundled | 3.0.1 | ISC | [npm-bundled](https://github.com/npm/npm-bundled#readme) | 
| npm-install-checks | 6.3.0 | BSD-2-Clause | [npm-install-checks](https://github.com/npm/npm-install-checks#readme) | 
| npm-normalize-package-bin | 3.0.1 | ISC | [npm-normalize-package-bin](https://github.com/npm/npm-normalize-package-bin#readme) | 
| npm-package-arg | 11.0.3 | ISC | [npm-package-arg](https://github.com/npm/npm-package-arg) | 
| npm-packlist | 8.0.2 | ISC | [npm-packlist](https://github.com/npm/npm-packlist#readme) | 
| npm-pick-manifest | 9.1.0 | ISC | [npm-pick-manifest](https://github.com/npm/npm-pick-manifest#readme) | 
| npm-registry-fetch | 17.1.0 | ISC | [npm-registry-fetch](https://github.com/npm/npm-registry-fetch#readme) | 
| object-assign | 4.1.1 | MIT | [object-assign](https://github.com/sindresorhus/object-assign#readme) | 
| object-inspect | 1.13.1 | MIT | [object-inspect](https://github.com/inspect-js/object-inspect) | 
| object-keys | 1.1.1 | MIT | [object-keys](https://github.com/ljharb/object-keys#readme) | 
| object.assign | 4.1.5 | MIT | [object.assign](https://github.com/ljharb/object.assign#readme) | 
| once | 1.4.0 | ISC | [once](https://github.com/isaacs/once#readme) | 
| opener | 1.5.2 | (WTFPL OR MIT) | [opener](https://github.com/domenic/opener#readme) | 
| p-limit | 3.1.0 | MIT | [p-limit](https://github.com/sindresorhus/p-limit#readme) | 
| p-locate | 5.0.0 | MIT | [p-locate](https://github.com/sindresorhus/p-locate#readme) | 
| p-map | 4.0.0 | MIT | [p-map](https://github.com/sindresorhus/p-map#readme) | 
| pacote | 18.0.6 | ISC | [pacote](https://github.com/npm/pacote#readme) | 
| path-exists | 4.0.0 | MIT | [path-exists](https://github.com/sindresorhus/path-exists#readme) | 
| path-is-absolute | 1.0.1 | MIT | [path-is-absolute](https://github.com/sindresorhus/path-is-absolute#readme) | 
| path-key | 3.1.1 | MIT | [path-key](https://github.com/sindresorhus/path-key#readme) | 
| picomatch | 2.3.1 | MIT | [picomatch](https://github.com/micromatch/picomatch) | 
| possible-typed-array-names | 1.0.0 | MIT | [possible-typed-array-names](https://github.com/ljharb/possible-typed-array-names#readme) | 
| preact | 10.22.0 | MIT | [preact](https://preactjs.com) | 
| preact-render-to-string | 6.5.7 | MIT | [preact-render-to-string](https://github.com/preactjs/preact-render-to-string) | 
| pretty-format | 29.7.0 | MIT | [pretty-format](https://github.com/jestjs/jest#readme) | 
| prettyjson | 1.2.5 | MIT | [prettyjson](http://rafeca.com/prettyjson) | 
| proc-log | 4.2.0 | ISC | [proc-log](https://github.com/npm/proc-log#readme) | 
| process | 0.11.10 | MIT | [process](https://github.com/shtylman/node-process#readme) | 
| progress | 2.0.3 | MIT | [progress](https://github.com/visionmedia/node-progress#readme) | 
| promise-inflight | 1.0.1 | ISC | [promise-inflight](https://github.com/iarna/promise-inflight#readme) | 
| promise-queue | 2.2.5 | MIT | [promise-queue](https://github.com/azproduction/promise-queue#readme) | 
| promise-retry | 2.0.1 | MIT | [promise-retry](https://github.com/IndigoUnited/node-promise-retry#readme) | 
| prop-types | 15.8.1 | MIT | [prop-types](https://facebook.github.io/react/) | 
| punycode.js | 2.3.1 | MIT | [punycode.js](https://mths.be/punycode) | 
| q | 1.4.1 | MIT | [q](https://github.com/kriskowal/q) | 
| queue-microtask | 1.2.3 | MIT | [queue-microtask](https://github.com/feross/queue-microtask) | 
| react-is | 18.3.1 | MIT | [react-is](https://reactjs.org/) | 
| react-transition-state | 2.1.1 | MIT | [react-transition-state](https://szhsin.github.io/react-transition-state/) | 
| read | 1.0.7 | ISC | [read](https://github.com/isaacs/read#readme) | 
| readable-stream | 4.5.2 | MIT | [readable-stream](https://github.com/nodejs/readable-stream) | 
| regexp.prototype.flags | 1.5.2 | MIT | [regexp.prototype.flags](https://github.com/es-shims/RegExp.prototype.flags#readme) | 
| repeat-string | 1.6.1 | MIT | [repeat-string](https://github.com/jonschlinkert/repeat-string) | 
| require-directory | 2.1.1 | MIT | [require-directory](https://github.com/troygoode/node-require-directory/) | 
| retry | 0.12.0 | MIT | [retry](https://github.com/tim-kos/node-retry) | 
| reusify | 1.0.4 | MIT | [reusify](https://github.com/mcollina/reusify#readme) | 
| rfdc | 1.3.1 | MIT | [rfdc](https://github.com/davidmarkclements/rfdc#readme) | 
| run-parallel | 1.2.0 | MIT | [run-parallel](https://github.com/feross/run-parallel) | 
| safe-array-concat | 1.1.2 | MIT | [safe-array-concat](https://github.com/ljharb/safe-array-concat#readme) | 
| safe-regex-test | 1.0.3 | MIT | [safe-regex-test](https://github.com/ljharb/safe-regex-test#readme) | 
| safer-buffer | 2.1.2 | MIT | [safer-buffer](https://github.com/ChALkeR/safer-buffer#readme) | 
| semver | 7.6.2 | ISC | [semver](https://github.com/npm/node-semver#readme) | 
| set-function-length | 1.2.2 | MIT | [set-function-length](https://github.com/ljharb/set-function-length#readme) | 
| set-function-name | 2.0.2 | MIT | [set-function-name](https://github.com/ljharb/set-function-name#readme) | 
| shebang-command | 2.0.0 | MIT | [shebang-command](https://github.com/kevva/shebang-command#readme) | 
| shebang-regex | 3.0.0 | MIT | [shebang-regex](https://github.com/sindresorhus/shebang-regex#readme) | 
| side-channel | 1.0.6 | MIT | [side-channel](https://github.com/ljharb/side-channel#readme) | 
| sigstore | 2.3.1 | Apache-2.0 | [sigstore](https://github.com/sigstore/sigstore-js/tree/main/packages/client#readme) | 
| smart-buffer | 4.2.0 | MIT | [smart-buffer](https://github.com/JoshGlazebrook/smart-buffer/) | 
| socks | 2.8.3 | MIT | [socks](https://github.com/JoshGlazebrook/socks/) | 
| socks-proxy-agent | 8.0.3 | MIT | [socks-proxy-agent](https://github.com/TooTallNate/proxy-agents#readme) | 
| spdx-correct | 3.2.0 | Apache-2.0 | [spdx-correct](https://github.com/jslicense/spdx-correct.js#readme) | 
| spdx-exceptions | 2.5.0 | CC-BY-3.0 | [spdx-exceptions](https://github.com/kemitchell/spdx-exceptions.json#readme) | 
| spdx-expression-parse | 3.0.1 | MIT | [spdx-expression-parse](https://github.com/jslicense/spdx-expression-parse.js#readme) | 
| spdx-license-ids | 3.0.18 | CC0-1.0 | [spdx-license-ids](https://github.com/jslicense/spdx-license-ids#readme) | 
| sprintf-js | 1.0.3 | BSD-3-Clause | [sprintf-js](https://github.com/alexei/sprintf.js#readme) | 
| ssh2 | 1.15.0 | MIT | [ssh2](https://github.com/mscdex/ssh2#readme) | 
| ssri | 10.0.6 | ISC | [ssri](https://github.com/npm/ssri#readme) | 
| stack-trace | 1.0.0-pre2 | MIT | [stack-trace](https://github.com/felixge/node-stack-trace) | 
| streamroller | 3.1.5 | MIT | [streamroller](https://github.com/log4js-node/streamroller#readme) | 
| string-width | 4.2.3 | MIT | [string-width](https://github.com/sindresorhus/string-width#readme) | 
| string.prototype.trim | 1.2.9 | MIT | [string.prototype.trim](https://github.com/es-shims/String.prototype.trim#readme) | 
| string.prototype.trimend | 1.0.8 | MIT | [string.prototype.trimend](https://github.com/es-shims/String.prototype.trimEnd#readme) | 
| string.prototype.trimstart | 1.0.8 | MIT | [string.prototype.trimstart](https://github.com/es-shims/String.prototype.trimStart#readme) | 
| string_decoder | 0.10.31 | MIT | [string_decoder](https://github.com/rvagg/string_decoder) | 
| strip-ansi | 6.0.1 | MIT | [strip-ansi](https://github.com/chalk/strip-ansi#readme) | 
| supports-color | 8.1.1 | MIT | [supports-color](https://github.com/chalk/supports-color#readme) | 
| suppressed-error | 1.0.3 | MIT | [suppressed-error](https://github.com/es-shims/SuppressedError#readme) | 
| tabbable | 5.3.3 | MIT | [tabbable](https://github.com/focus-trap/tabbable#readme) | 
| tar | 6.2.1 | ISC | [tar](https://github.com/isaacs/node-tar#readme) | 
| tmp | 0.2.3 | MIT | [tmp](http://github.com/raszi/node-tmp) | 
| to-regex-range | 5.0.1 | MIT | [to-regex-range](https://github.com/micromatch/to-regex-range) | 
| tslib | 2.6.2 | 0BSD | [tslib](https://www.typescriptlang.org/) | 
| tuf-js | 2.2.1 | MIT | [tuf-js](https://github.com/theupdateframework/tuf-js/tree/main/packages/client#readme) | 
| tweetnacl | 0.14.5 | Unlicense | [tweetnacl](https://tweetnacl.js.org) | 
| typed-array-buffer | 1.0.2 | MIT | [typed-array-buffer](https://github.com/ljharb/typed-array-buffer#readme) | 
| typed-array-byte-length | 1.0.1 | MIT | [typed-array-byte-length](https://github.com/inspect-js/typed-array-byte-length#readme) | 
| typed-array-byte-offset | 1.0.2 | MIT | [typed-array-byte-offset](https://github.com/inspect-js/typed-array-byte-offset#readme) | 
| typed-array-length | 1.0.6 | MIT | [typed-array-length](https://github.com/inspect-js/typed-array-length#readme) | 
| uc.micro | 1.0.6 | MIT | [uc.micro](https://github.com/markdown-it/uc.micro#readme) | 
| unbox-primitive | 1.0.2 | MIT | [unbox-primitive](https://github.com/ljharb/unbox-primitive#readme) | 
| underscore | 1.13.6 | MIT | [underscore](https://underscorejs.org) | 
| unique-filename | 3.0.0 | ISC | [unique-filename](https://github.com/iarna/unique-filename) | 
| unique-slug | 4.0.0 | ISC | [unique-slug](https://github.com/npm/unique-slug#readme) | 
| universalify | 0.1.2 | MIT | [universalify](https://github.com/RyanZim/universalify#readme) | 
| validate-npm-package-license | 3.0.4 | Apache-2.0 | [validate-npm-package-license](https://github.com/kemitchell/validate-npm-package-license.js#readme) | 
| validate-npm-package-name | 5.0.1 | ISC | [validate-npm-package-name](https://github.com/npm/validate-npm-package-name) | 
| which | 4.0.0 | ISC | [which](https://github.com/npm/node-which#readme) | 
| which-boxed-primitive | 1.0.2 | MIT | [which-boxed-primitive](https://github.com/inspect-js/which-boxed-primitive#readme) | 
| which-typed-array | 1.1.15 | MIT | [which-typed-array](https://github.com/inspect-js/which-typed-array#readme) | 
| wontache | 0.1.0 | BSD-3-Clause | [wontache](https://jgonggrijp.gitlab.io/wontache/) | 
| wrap-ansi | 7.0.0 | MIT | [wrap-ansi](https://github.com/chalk/wrap-ansi#readme) | 
| wrappy | 1.0.2 | ISC | [wrappy](https://github.com/npm/wrappy) | 
| xregexp | 2.0.0 | MIT | [xregexp](http://xregexp.com/) | 
| y18n | 5.0.8 | ISC | [y18n](https://github.com/yargs/y18n) | 
| yallist | 4.0.0 | ISC | [yallist](https://github.com/isaacs/yallist#readme) | 
| yargs | 17.7.2 | MIT | [yargs](https://yargs.js.org/) | 
| yargs-parser | 20.2.4 | ISC | [yargs-parser](https://github.com/yargs/yargs-parser#readme) | 
| yocto-queue | 0.1.0 | MIT | [yocto-queue](https://github.com/sindresorhus/yocto-queue#readme) | 
| zos-node-accessor | 2.0.11 | EPL-1.0 | [zos-node-accessor](https://github.com/IBM/zos-node-accessor#readme) | 
| @colors/colors | 1.5.0 | MIT | [colors](https://github.com/DABH/colors.js) | 
| @jest/schemas | 29.6.3 | MIT | [schemas](https://github.com/jestjs/jest#readme) | 
| @microsoft/fast-element | 1.13.0 | MIT | [fast-element](https://github.com/Microsoft/fast#readme) | 
| @microsoft/fast-foundation | 2.49.6 | MIT | [fast-foundation](https://github.com/Microsoft/fast#readme) | 
| @microsoft/fast-react-wrapper | 0.3.24 | MIT | [fast-react-wrapper](https://github.com/Microsoft/fast#readme) | 
| @microsoft/fast-web-utilities | 5.4.1 | MIT | [fast-web-utilities](https://github.com/Microsoft/fast#readme) | 
| @nodelib/fs.scandir | 2.1.5 | MIT | [fs.scandir](https://github.com/nodelib/nodelib/tree/master#readme) | 
| @nodelib/fs.stat | 2.0.5 | MIT | [fs.stat](https://github.com/nodelib/nodelib/tree/master#readme) | 
| @nodelib/fs.walk | 1.2.8 | MIT | [fs.walk](https://github.com/nodelib/nodelib/tree/master#readme) | 
| @npmcli/agent | 2.2.2 | ISC | [agent](https://github.com/npm/agent#readme) | 
| @npmcli/fs | 3.1.1 | ISC | [fs](https://github.com/npm/fs#readme) | 
| @npmcli/git | 5.0.8 | ISC | [git](https://github.com/npm/git#readme) | 
| @npmcli/installed-package-contents | 2.1.0 | ISC | [installed-package-contents](https://github.com/npm/installed-package-contents#readme) | 
| @npmcli/node-gyp | 3.0.0 | ISC | [node-gyp](https://github.com/npm/node-gyp#readme) | 
| @npmcli/package-json | 5.2.0 | ISC | [package-json](https://github.com/npm/package-json#readme) | 
| @npmcli/promise-spawn | 7.0.2 | ISC | [promise-spawn](https://github.com/npm/promise-spawn#readme) | 
| @npmcli/redact | 2.0.1 | ISC | [redact](https://github.com/npm/redact#readme) | 
| @npmcli/run-script | 8.1.0 | ISC | [run-script](https://github.com/npm/run-script#readme) | 
| @sigstore/bundle | 2.3.2 | Apache-2.0 | [bundle](https://github.com/sigstore/sigstore-js/tree/main/packages/bundle#readme) | 
| @sigstore/core | 1.1.0 | Apache-2.0 | [core](https://github.com/sigstore/sigstore-js/tree/main/packages/core#readme) | 
| @sigstore/protobuf-specs | 0.3.2 | Apache-2.0 | [protobuf-specs](https://github.com/sigstore/protobuf-specs#readme) | 
| @sigstore/sign | 2.3.2 | Apache-2.0 | [sign](https://github.com/sigstore/sigstore-js/tree/main/packages/sign#readme) | 
| @sigstore/tuf | 2.3.4 | Apache-2.0 | [tuf](https://github.com/sigstore/sigstore-js/tree/main/packages/tuf#readme) | 
| @sigstore/verify | 1.2.1 | Apache-2.0 | [verify](https://github.com/sigstore/sigstore-js/tree/main/packages/verify#readme) | 
| @sinclair/typebox | 0.27.8 | MIT | [typebox](https://github.com/sinclairzx81/typebox#readme) | 
| @szhsin/react-menu | 4.2.2 | MIT | [react-menu](https://szhsin.github.io/react-menu/) | 
| @tootallnate/once | 1.1.2 | MIT | [once](https://github.com/TooTallNate/once#readme) | 
| @tufjs/canonical-json | 2.0.0 | MIT | [canonical-json](https://github.com/theupdateframework/tuf-js/tree/main/packages/canonical-json#readme) | 
| @tufjs/models | 2.0.1 | MIT | [models](https://github.com/theupdateframework/tuf-js/tree/main/packages/models#readme) | 
| @types/vscode | 1.89.0 | MIT | [vscode](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/vscode) | 
| @types/vscode-webview | 1.57.5 | MIT | [vscode-webview](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/vscode-webview) | 
| @types/yargs | 17.0.33 | MIT | [yargs](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/yargs) | 
| @types/yargs-parser | 21.0.3 | MIT | [yargs-parser](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/yargs-parser) | 
| @vscode/codicons | 0.0.35 | CC-BY-4.0 | [codicons](https://github.com/microsoft/vscode-codicons#readme) | 
| @vscode/codicons | 0.0.36 | CC-BY-4.0 | [codicons](https://github.com/microsoft/vscode-codicons#readme) | 
| @vscode/l10n | 0.0.18 | MIT | [l10n](https://github.com/Microsoft/vscode-l10n#readme) | 
| @vscode/webview-ui-toolkit | 1.4.0 | MIT | [webview-ui-toolkit](https://github.com/microsoft/vscode-webview-ui-toolkit#readme) | 
| @zowe/core-for-zowe-sdk | 8.0.0-next.202408301809 | EPL-2.0 | [core-for-zowe-sdk](https://github.com/zowe/zowe-cli/tree/master/packages/core#readme) | 
| @zowe/imperative | 8.0.0-next.202408301809 | EPL-2.0 | [imperative](https://github.com/zowe/zowe-cli/tree/master/packages/imperative#readme) | 
| @zowe/secrets-for-zowe-sdk | 8.0.0-next.202408301809 | EPL-2.0 | [secrets-for-zowe-sdk](https://github.com/zowe/zowe-cli/tree/master/packages/secrets#readme) | 
| @zowe/zos-console-for-zowe-sdk | 8.0.0-next.202408301809 | EPL-2.0 | [zos-console-for-zowe-sdk](https://github.com/zowe/zowe-cli/tree/master/packages/zosconsole#readme) | 
| @zowe/zos-files-for-zowe-sdk | 8.0.0-next.202408301809 | EPL-2.0 | [zos-files-for-zowe-sdk](https://github.com/zowe/zowe-cli/tree/master/packages/zosfiles#readme) | 
| @zowe/zos-ftp-for-zowe-cli | 3.0.0-next.202407311518 | EPL-2.0 | [zos-ftp-for-zowe-cli](https://github.com/zowe/zowe-cli-ftp-plugin#readme) | 
| @zowe/zos-jobs-for-zowe-sdk | 8.0.0-next.202408301809 | EPL-2.0 | [zos-jobs-for-zowe-sdk](https://github.com/zowe/zowe-cli/tree/master/packages/zosjobs#readme) | 
| @zowe/zos-tso-for-zowe-sdk | 8.0.0-next.202408301809 | EPL-2.0 | [zos-tso-for-zowe-sdk](https://github.com/zowe/zowe-cli/tree/master/packages/zostso#readme) | 
| @zowe/zos-uss-for-zowe-sdk | 8.0.0-next.202408301809 | EPL-2.0 | [zos-uss-for-zowe-sdk](https://github.com/zowe/zowe-cli/tree/master/packages/zosuss#readme) | 
| @zowe/zosmf-for-zowe-sdk | 8.0.0-next.202408301809 | EPL-2.0 | [zosmf-for-zowe-sdk](https://github.com/zowe/zowe-cli/tree/master/packages/zosmf#readme) | 
| @zowe/zowe-explorer-api | 3.0.0-next.202409132122 | EPL-2.0 | [zowe-explorer-api](https://github.com/zowe/zowe-explorer-vscode.git) | 

